// Trig Header File

// Menu Items
#define DIALOG_1	1
#define CM_GRAPHPAGE_SETUP	116
#define CM_GRAPHPRINT   	117
#define CM_GRAPHGRID  	   118
#define CM_GRAPHBOTH    	119
#define CM_GRAPHOFF     	120
#define CM_GRAPHDOTS    	121
#define CM_GRAPHSONAR   	122
#define CM_GRAPHPROPERTIES	123
#define CM_GRAPHSINE	      124
#define CM_GRAPHEXIT    	125
#define CM_GRAPHCOTANGENT	126
#define CM_GRAPHCOSECANT	127
#define CM_GRAPHSECANT	   128
#define CM_GRAPHTANGENT  	129
#define CM_GRAPHCOSINE  	130
#define CM_GRAPHABOUT	   131

// Buttons and Edit Controls
#define ID_A_MODIFIER     200
#define ID_B_MODIFIER     201
#define ID_C_MODIFIER	  202
#define ID_D_MODIFIER     203
#define ID_TICKSIZE       204
#define ID_SONARWIDTH     205
#define ID_XMIN           206
#define ID_XMAX	        207
#define ID_XTICK	        208
#define ID_YMIN	        209
#define ID_YMAX	        210
#define ID_YTICK	        211

#define ID_COLOR   	     300
#define ID_APPLY	        301
#define ID_MANUAL	        302
#define ID_AUTOMATIC	     303
#define ID_ELEMENT	     304
#define ID_ADDVAR      	  305
#define ID_CHANGECOLOR	  306
#define ID_GRAPH	        307
#define ID_CONNECT	     308
#define ID_GRID	        309
#define ID_SONAR	        310

// Color Elements (ALWAYS keep the last element TICK and the first element
//                 ASYMPTOTE!)
#define ASYMPTOTE  0
#define AXIS       1
#define BACKGROUND 2
#define GRID       3
#define DOT        4
#define CONNECT    5
#define SONAR      6
#define TICK       7

// Modifier Elements
#define NUM_MODIFIERS   12
#define M_A_MODIFIER    0
#define M_B_MODIFIER    1
#define M_C_MODIFIER    2
#define M_D_MODIFIER    3
#define M_TICKSIZE      4
#define M_SONARWIDTH    5
#define M_XMIN          6
#define M_XMAX          7
#define M_XTICK         8
#define M_YMIN          9
#define M_YMAX          10
#define M_YTICK         11

